Subject: bug#50141: Current part of emacs red, other parts blue

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Aug 2021 16:23:39 +0300

> Date: Sat, 21 Aug 2021 16:12:41 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > From: Lars Ingebrigtsen <[email-masked]>
> > Cc: 積丹尼 Dan Jacobson <[email-masked]>,
> >   [email-masked]
> > Date: Sat, 21 Aug 2021 14:48:01 +0200
> > 
> > However, Dan's request has come up a number of times (e.g., bug#12056,
> > which I'm merging this with), so I'm wondering whether we should add
> > something like this...  or at least add some infrastructure that would
> > allow it.
> > 
> > The obvious thing would be to run something from `select-window', but I
> > don't see any obvious hook that we could be using there.  Am I missing
> > something?  I was thinking about adding a minor mode for changing
> > background colours in windows...
> 
> buffer-list-update-hook sounds like that infrastructure.

But I think the real problem is how to define a window-specific
default face.  It's not easy, and I'm not sure it will work.
Something using the :filtered thingy, I guess?  But I'm not sure it
will work for the default face.

Basically, faces were never designed to be window-specific.  Even
making them buffer-specific (via face-remapping-alist) is somewhat
tricky.